Bug 233438 - devel/synfig: Switch to textproc/gsed for build
Summary: devel/synfig: Switch to textproc/gsed for build
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kurt Jaeger
URL:
Keywords:
Depends on:
Blocks: 229925
  Show dependency treegraph
 
Reported: 2018-11-23 14:31 UTC by Kyle Evans
Modified: 2019-01-13 07:36 UTC (History)
4 users (show)

See Also:
pi: maintainer-feedback+
pi: merge-quarterly+


Attachments
svn(1) diff against devel/synfig (640 bytes, patch)
2018-11-23 14:31 UTC, Kyle Evans
woodsb02: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Kyle Evans freebsd_committer 2018-11-23 14:31:57 UTC
Created attachment 199479 [details]
svn(1) diff against devel/synfig

Hi,

The configure process for synfig uses GNU extensions (\s) in sed, which currently get interpreted as an escape of an ordinary character. Escapes of an ordinary character will be disallowed in future versions of regex(3), so switch to gsed in advance to also do the right thing.

As an aside, the \s usage may be potentially patched out, but I've opted to switch to gsed for now to ease maintenance burden. A later run will be done to switch ports depending on gsed for build back to sed when our sed becomes capable.

Thanks,

Kyle Evans
Comment 1 Steve Wills freebsd_committer 2019-01-05 23:58:29 UTC
Assign to maintainer
Comment 2 Ben Woods freebsd_committer 2019-01-11 22:17:04 UTC
This looks ok to me, but I am unable to test it due to being away from home at the moment.

One potential improvement:
Rather than set CONFIGURE_ENV+=ac_cv_path_SED=${LOCALBASE}/bin/gsed, a more standard solution would be to use BINARY_ALIAS=sed=gsed to substitute sed with gsed for the duration of the build:
https://www.freebsd.org/doc/en/books/porters-handbook/binary-alias.html#binary-alias-ex1
Comment 3 Kyle Evans freebsd_committer 2019-01-11 22:29:47 UTC
(In reply to Ben Woods from comment #2)

If I recall correctly, this one wasn't able to use BINARY_ALIAS because of the way autoconf 'works' -- in almost all of the cases I've done, it picked /usr/bin/sed instead of the first one in PATH.
Comment 4 Ben Woods freebsd_committer 2019-01-11 22:36:16 UTC
Ok, if you have tested this, happy for you to commit it (you have my approval). Alternatively, I can do it when I return home in a few days.

Given that this could change the built package slightly, you should probably bump PORTREVISION when you commit this.
Comment 5 Ben Woods freebsd_committer 2019-01-11 22:37:39 UTC
Do you want/need this merged to the ports quarterly branch?
Comment 6 Kurt Jaeger freebsd_committer 2019-01-12 12:56:52 UTC
Committed, thanks!
Comment 7 commit-hook freebsd_committer 2019-01-12 12:57:25 UTC
A commit references this bug:

Author: pi
Date: Sat Jan 12 12:56:35 UTC 2019
New revision: 490052
URL: https://svnweb.freebsd.org/changeset/ports/490052

Log:
  devel/synfig: Switch to textproc/gsed for build

  The configure process for synfig uses GNU extensions (\s) in sed,
  which currently get interpreted as an escape of an ordinary character.
  Escapes of an ordinary character will be disallowed in future
  versions of regex(3), so switch to gsed in advance to also do the
  right thing.

  As an aside, the \s usage may be potentially patched out, but submitter
  opted to switch to gsed for now to ease maintenance burden. A later
  run will be done to switch ports depending on gsed for build back
  to sed when our sed becomes capable.

  PR:		233438
  Submitted by:	kevans
  Approved by:	woodsb02 (maintainer)
  MFH:		2019Q1

Changes:
  head/devel/synfig/Makefile
Comment 8 commit-hook freebsd_committer 2019-01-13 07:36:06 UTC
A commit references this bug:

Author: pi
Date: Sun Jan 13 07:35:59 UTC 2019
New revision: 490116
URL: https://svnweb.freebsd.org/changeset/ports/490116

Log:
  MFH: r490052

  devel/synfig: Switch to textproc/gsed for build

  The configure process for synfig uses GNU extensions (\s) in sed,
  which currently get interpreted as an escape of an ordinary character.
  Escapes of an ordinary character will be disallowed in future
  versions of regex(3), so switch to gsed in advance to also do the
  right thing.

  As an aside, the \s usage may be potentially patched out, but submitter
  opted to switch to gsed for now to ease maintenance burden. A later
  run will be done to switch ports depending on gsed for build back
  to sed when our sed becomes capable.

  PR:		233438
  Submitted by:	kevans
  Approved by:	woodsb02 (maintainer)
  Approved by:	portmgr (miwi)

Changes:
_U  branches/2019Q1/
  branches/2019Q1/devel/synfig/Makefile